icu::number::impl::StringProp Class Reference

Manages NumberFormatterSettings::usage()'s char* instance on the heap. More...

`#include <numberformatter.h>`

Inheritance diagram for icu::number::impl::StringProp:

## Public Member Functions

| ~StringProp ()
| StringProp (const StringProp &other)
StringProp & | operator= (const StringProp &other)
| StringProp (StringProp &&src) noexcept
StringProp & | operator= (StringProp &&src) noexcept
int16_t | length () const
void | set (StringPiece value)
bool | isSet () const

## Friends

class | impl::NumberFormatterImpl
class | impl::GeneratorHelpers
struct | impl::MacroProps

## Detailed Description

Manages NumberFormatterSettings::usage()'s char* instance on the heap.

Internal:
  Do not use. This API is for internal use only.

Definition at line 1216 of file numberformatter.h.

## Constructor & Destructor Documentation

## ~StringProp()

icu::number::impl::StringProp::~StringProp | ( |  | ) |

Internal:
  Do not use.

This API is for internal use only.

## StringProp() [1/2]

icu::number::impl::StringProp::StringProp | ( | const StringProp & | other | ) |

Internal:
  Do not use.

This API is for internal use only.

## StringProp() [2/2]

icu::number::impl::StringProp::StringProp | ( | StringProp && | src | ) |

noexcept

Internal:
  Do not use.

This API is for internal use only.

## Member Function Documentation

## isSet()

bool icu::number::impl::StringProp::isSet | ( |  | ) | const

inline

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1247 of file numberformatter.h.

## length()

int16_t icu::number::impl::StringProp::length | ( | void |  | ) | const

inline

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1237 of file numberformatter.h.

## operator=() [1/2]

StringProp& icu::number::impl::StringProp::operator= | ( | const StringProp & | other | ) |

Internal:
  Do not use.

This API is for internal use only.

## operator=() [2/2]

StringProp& icu::number::impl::StringProp::operator= | ( | StringProp && | src | ) |

noexcept

Internal:
  Do not use.

This API is for internal use only.

## set()

void icu::number::impl::StringProp::set | ( | StringPiece | value | ) |

Internal:
  Do not use.

This API is for internal use only. Makes a copy of value. Set to "" to unset.

The documentation for this class was generated from the following file:

- i18n/unicode/numberformatter.h